import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/baosong/baosongTaskAlloc/list',
  save='/baosong/baosongTaskAlloc/add',
  edit='/baosong/baosongTaskAlloc/edit',
  deleteOne = '/baosong/baosongTaskAlloc/delete',
  deleteBatch = '/baosong/baosongTaskAlloc/deleteBatch',
  importExcel = '/baosong/baosongTaskAlloc/importExcel',
  exportXls = '/baosong/baosongTaskAlloc/exportXls',
  saveOrUpdateBatch = '/baosong/baosongTaskAlloc/saveOrUpdateBatch',
  queryAllTplForUser = '/baosong/baosongTaskAlloc/queryAllTplForUser',
  queryAllTplItemForUser = '/baosong/baosongTaskAlloc/queryAllTplItemForUser',
  queryCurTaskAllocUser = '/baosong/baosongTaskAlloc/queryCurTaskAllocUser',
  updateFillStaBatch = '/baosong/baosongTaskAlloc/updateFillStaBatch',
  findUserRightForTplItem = '/baosong/baosongTaskAlloc/findUserRightForTplItem',
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}


export const saveOrUpdateBatch = (params) => {
  let url =  Api.saveOrUpdateBatch;
  return defHttp.post({url: url, params});
}


export const queryAllTplForUser = (params) => {
  let url =  Api.queryAllTplForUser;
  return defHttp.get({url: url, params});
}


export const queryAllTplItemForUser = (params) => {
  let url =  Api.queryAllTplItemForUser;
  return defHttp.get({url: url, params});
}


export const queryCurTaskAllocUser = (params) => {
  let url =  Api.queryCurTaskAllocUser;
  return defHttp.get({url: url, params});
}


export const updateFillStaBatch = (params) => {
  let url =  Api.updateFillStaBatch;
  return defHttp.post({url: url, params});
}


export const findUserRightForTplItem = (params) => {
  let url =  Api.findUserRightForTplItem;
  return defHttp.get({url: url, params});
}



